# Delete Available Periods

#### Description
Deletes an available period for the authenticated account.

This can be use in conjunction with the [Batch endpoint](/developers/api/batch/index.md) to delete multiple periods at once.

#### URL format
```
{data_center_url}/v1/available_periods
```

#### Example Request
```http
DELETE /v1/available_periods HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
  "available_period_id": "qTtZdczOccgaPncGJaCiLg"
}
```

#### Example Response
```http
HTTP/1.1 202 Accepted
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `available_period_id` *(required)*

The [`String`](/developers/api/data-types/index.md) that uniquely identifies the available period.

Usually this will be your own internal ID for the available period, encoded as an ASCII-only [`String`](/developers/api/data-types/index.md) of up to 64 characters.



---
[Read in HTML](/developers/api/scheduling/available-periods/delete/)